# Update Creatives Details # Update creatives details ## Caution If the the parameter assets is defined, then all previous assets belonging to this creative are replaced with this new array of assets. You can avoid deleting assets by adding the asset by id to the assets param like so [{\"asset_id\":34223}] ::: Note about image assets: Base64 encoded image assets can be uploaded via this endpoint. This new image asset is represented in the assets param as an object containing an encoded_image_file and image_filename properties. Example assets: "[{\"encoded_image_file\": __base64_data_here__, \"image_filename\":\"logo.png\"}]" ## Note about subtitle assets: Base64 encoded subtitle assets can be uploaded via this endpoint. This new subtitle asset is represented in the assets param as an object containing an encoded_subtitle_file and subtitle_filename properties. Example assets: "[{\"encoded_subtitle_file\": __base64_data_here__, \"subtitle_filename\":\"test.srt\"}]" Endpoint: POST /component_creatives/v1.0/creatives/{atomic_creative_id} Version: 1.0 ## Path parameters: - `atomic_creative_id` (string, required) atomic_creative_id ## Header parameters: - `adama_session` (string) See below ## Response 200 fields ## Response 400 fields ## Response 404 fields